summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2015-01-23 05:55:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-23 05:55:10 +0700
commit876a3447fee974db459241ce46cc6f6e3d33c076 (patch)
treea962808cc9bfa46a331e72a60df3d4f743c40ef9
parent225b081ee5cd32af15145375e58a9c7dd366eb31 (diff)
downloadslackbuilds-876a3447fee974db459241ce46cc6f6e3d33c076.tar.gz
slackbuilds-876a3447fee974db459241ce46cc6f6e3d33c076.tar.xz
development/bfg: Added (git repo cleaner).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/bfg/README4
-rw-r--r--development/bfg/bfg3
-rw-r--r--development/bfg/bfg.SlackBuild53
-rw-r--r--development/bfg/bfg.info10
-rw-r--r--development/bfg/slack-desc19
5 files changed, 89 insertions, 0 deletions
diff --git a/development/bfg/README b/development/bfg/README
new file mode 100644
index 0000000000..f1a87fce2d
--- /dev/null
+++ b/development/bfg/README
@@ -0,0 +1,4 @@
+The BFG is a simpler, faster alternative to git-filter-branch
+for cleansing bad data out of your Git repository history.
+
+Java (jdk) is a runtime dependency.
diff --git a/development/bfg/bfg b/development/bfg/bfg
new file mode 100644
index 0000000000..a29fd972a2
--- /dev/null
+++ b/development/bfg/bfg
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+java -jar /opt/bfg/bfg.jar "$@"
diff --git a/development/bfg/bfg.SlackBuild b/development/bfg/bfg.SlackBuild
new file mode 100644
index 0000000000..33e2dc3045
--- /dev/null
+++ b/development/bfg/bfg.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for bfg
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License
+# along with this program (most likely, a file named COPYING). If
+# not, see <http://www.gnu.org/licenses/>.
+
+PRGNAM=bfg
+VERSION=${VERSION:-1.12.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $PKG/opt/$PRGNAM/
+mkdir -p $PKG/usr/bin/
+cp -a $CWD/$PRGNAM-$VERSION.jar $PKG/opt/$PRGNAM/$PRGNAM.jar
+install -m755 $CWD/$PRGNAM $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/bfg/bfg.info b/development/bfg/bfg.info
new file mode 100644
index 0000000000..582673427e
--- /dev/null
+++ b/development/bfg/bfg.info
@@ -0,0 +1,10 @@
+PRGNAM="bfg"
+VERSION="1.12.0"
+HOMEPAGE="https://rtyley.github.io/bfg-repo-cleaner/"
+DOWNLOAD="http://repo1.maven.org/maven2/com/madgag/bfg/1.12.0/bfg-1.12.0.jar"
+MD5SUM="3ac2faa40f585e43b821f40a5bf034b1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/development/bfg/slack-desc b/development/bfg/slack-desc
new file mode 100644
index 0000000000..d6985a018e
--- /dev/null
+++ b/development/bfg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bfg: bfg (git repo cleaner)
+bfg:
+bfg:
+bfg: The BFG is a simpler, faster alternative to git-filter-branch
+bfg: for cleansing bad data out of your Git repository history.
+bfg:
+bfg:
+bfg:
+bfg:
+bfg: https://rtyley.github.io/bfg-repo-cleaner/
+bfg: